<?php
namespace JS\JsGuestbook\Domain\Repository;

use JS\JsGuestbook\Service\SettingsService;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Jainish Senjaliya <jainishsenjaliya@gmail.com>
 *		   Jainish Senjaliya <jainishsenjaliya@gmail.com>
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * The repository for GuestBooks
 */
class GuestBookRepository extends \TYPO3\CMS\Extbase\Persistence\Repository
{

	/**
	 * settingsService
	 *
	 * @var \JS\JsGuestbook\Service\SettingsService
	 * @inject
	 */
	protected $settingsService = NULL;

	/**
	 * insertUserData
	 *
	 * @param $insertArray
	 * @return
	 */
	public function insertUserData($insertArray)
	{
		return $GLOBALS['TYPO3_DB']->exec_insertQuery('tx_jsguestbook_domain_model_guestbook', $insertArray);
	}

	/**
	 * guestBook
	 *
	 * @param $insertArray
	 * @return
	 */
	public function guestBook()
	{
		$settings = $this->settingsService->getSettings();

		$field = '*';
		
		$table = 'tx_jsguestbook_domain_model_guestbook';

		$groupBy = '';
		
		$where = '';
		
		if (isset($settings['main']['startingPoint']) && $settings['main']['startingPoint'] != '') {

			$storagePids = $settings['main']['startingPoint'];

			$where .= ' AND pid in (' . $storagePids. ') ';
		}

		$orderBy = 'uid desc';

		$currentTime = time();
		
		$where = ' deleted = 0 AND hidden = 0 ' . $where;

		return $GLOBALS['TYPO3_DB']->exec_SELECTgetRows($field, $table, $where, $groupBy, $orderBy, $limit);
	}
}